% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fslhd.R
\name{flirt}
\alias{flirt}
\title{Register using FLIRT}
\usage{
flirt(infile, reffile, omat = NULL, dof = 6, outfile = NULL,
  retimg = TRUE, reorient = FALSE, intern = FALSE, opts = "",
  verbose = TRUE, ...)
}
\arguments{
\item{infile}{(character) input filename}

\item{reffile}{(character) reference image to be registered to}

\item{omat}{(character) Output matrix name}

\item{dof}{(numeric) degrees of freedom (default 6 - rigid body)}

\item{outfile}{(character) output filename}

\item{retimg}{(logical) return image of class nifti}

\item{reorient}{(logical) If retimg, should file be reoriented when read in?
Passed to \code{\link{readnii}}.}

\item{intern}{(logical) pass to \code{\link{system}}}

\item{opts}{(character) additional options to FLIRT}

\item{verbose}{(logical) print out command before running}

\item{...}{additional arguments passed to \code{\link{readnii}}.}
}
\value{
character or logical depending on intern
}
\description{
This function calls \code{flirt} to register infile to reffile
and either saves the image or returns an object of class nifti, along with the
transformation matrix omat
}
