% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/fsl_nan.R, R/fslnan.R
\name{fsl_nan}
\alias{fsl_nan}
\alias{fslnan}
\title{Replace NaNs in Image using FSL}
\usage{
fsl_nan(..., outfile = tempfile(fileext = ".nii.gz"), retimg = FALSE)

fslnan(file, outfile = NULL, retimg = TRUE, reorient = FALSE,
  intern = FALSE, opts = "", ...)
}
\arguments{
\item{...}{additional arguments passed to \code{\link{readnii}}.}

\item{outfile}{(character) resultant image name (optional)}

\item{retimg}{(logical) return image of class nifti}

\item{file}{(character) input image to replace NaNs (improper numbers) with 0}

\item{reorient}{(logical) If retimg, should file be reoriented 
when read in?
Passed to \code{\link{readnii}}.}

\item{intern}{(logical) to be passed to \code{\link{system}}}

\item{opts}{(character) operations to be passed to \code{fslmaths}}
}
\value{
If \code{retimg} then object of class nifti.  Otherwise,
Result from system command, depends if intern is TRUE or FALSE.
}
\description{
This function calls \code{fslmaths -nan}.  
The R functions wraps \code{fslmaths}
}
\note{
Functions with underscores have different defaults
and will return an output filename, so to be used for piping
}
